{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To update a workspace, send a PUT request to `/v2/gen-ai/workspaces/{workspace_uuid}`. The response body is a JSON object containing the workspace.","properties":{"path":{"type":"object","properties":{"workspace_uuid":{"type":"string","examples":["\"123e4567-e89b-12d3-a456-426614174000\""],"description":"Workspace UUID."}},"required":["workspace_uuid"],"additionalProperties":false},"body":{"$ref":"#/definitions/apiUpdateWorkspaceInputPublic"}},"required":["path"],"additionalProperties":false,"definitions":{"apiUpdateWorkspaceInputPublic":{"description":"Parameters for Update Workspace","properties":{"description":{"description":"The new description of the workspace","type":"string","examples":["example string"]},"name":{"description":"The new name of the workspace","type":"string","examples":["example name"]},"workspace_uuid":{"description":"Workspace UUID.","type":"string","examples":["123e4567-e89b-12d3-a456-426614174000"]}},"type":"object"}}},"name":"Update a Workspace","id":"digitalocean.genai_update_workspace","example":{"path":{"workspace_uuid":"\"123e4567-e89b-12d3-a456-426614174000\""}},"maxRequests":1,"summary":false}}